# Messaging

#### new Messaging(options)

Source:
  - modules/Messaging.js, line 8

SSE Messaging

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object |

### Members

#### (static, constant) this.settings :Object

Source:
  - modules/Messaging.js, line 15

Messaging settings

##### Type:

- Object

### Methods

#### (static) this.hearBeatCheck() → {undefined}

Source:
  - modules/Messaging.js, line 100

Request a heartbeat

- if the request is failing close the connection
- if the request is successful but the connection is closed reopen and call for a heartbeat again

##### Returns:

Type
  undefined